Package com.google.gwt.dom.builder.shared

## Interface ImageBuilder

- All Superinterfaces:
    `ElementBuilderBase<ImageBuilder>`
  All Known Implementing Classes:
    `DomImageBuilder`, `HtmlImageBuilder`

      public interface ImageBuilder
      extends ElementBuilderBase<ImageBuilder>

  Builds an image element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageBuilder` | `alt​(java.lang.String alt)` | Alternate text for user agents not rendering the normal content of this element.
    `ImageBuilder` | `height​(int height)` | Height of the image in pixels.
    `ImageBuilder` | `isMap()` | Use server-side image map.
    `ImageBuilder` | `src​(java.lang.String src)` | URI designating the source of this image.
    `ImageBuilder` | `width​(int width)` | The width of the image in pixels.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### alt

          ImageBuilder alt​(java.lang.String alt)

      Alternate text for user agents not rendering the normal content of this element.
      See Also:
        W3C HTML Specification

    - #### height

          ImageBuilder height​(int height)

      Height of the image in pixels.
      See Also:
        W3C HTML Specification

    - #### isMap

          ImageBuilder isMap()

      Use server-side image map.
      See Also:
        W3C HTML Specification

    - #### src

          ImageBuilder src​(java.lang.String src)

      URI designating the source of this image.
      See Also:
        W3C HTML Specification

    - #### width

          ImageBuilder width​(int width)

      The width of the image in pixels.
      See Also:
        W3C HTML Specification